public class ExperimentConfiguration {
   public ExperimentConfiguration () {           
      Vector2D init_hook_pos = new Vector2D(0,3);
		Vector2D init_block1_pos = new Vector2D(1,2);
		Vector2D init_block2_pos = new Vector2D(-0.3,0.2);
		Vector2D init_speed = new Vector2D(0,0);
      FixedHook hook = new FixedHook(init_hook_pos);  
      float mass = 1f;       // [k]
      Block block1 = new Block(mass, init_block1_pos, init_speed);
		Block block2 = new Block(mass, init_block2_pos, init_speed);  
      float restLength = 1f;   // [m]
      float stiffness = 10f;    // [N/m]
      Spring spring1 = new Spring (restLength, stiffness);
		Spring spring2 = new Spring (restLength, stiffness);  
      spring1.attachAEnd(hook);    
      spring1.attachBEnd(block1);
		spring2.attachAEnd(block1);    
      spring2.attachBEnd(block2);
      elements = new PhysicsElement[5];
      elements[0] = hook;
      elements[1] = spring1;
      elements[2] = block1;
		elements[3] = spring2;
		elements[4] = block2;
   }
   public void addItselfTo (MyWorld world) {
      for ( PhysicsElement e: elements )
         world.addElement (e);
   }
   private PhysicsElement[] elements;
}    