import java.util.*;

public class FixedHook extends AttachableElement  {
   private static int id=0;
   Vector2D pos_t;     // current position at time t
   private Vector<Spring> springs;  // Vector can grow, arrays cannot. 
   
   private FixedHook(){   // nobody can create a block without state
     super(id++);
   }
   public FixedHook(Vector2D position){
      super(id++);
      pos_t = position;
      springs = new Vector<Spring>();
   }
   public void attachSpring (Spring spring) {
     springs.add(spring);
   }
   public void detachSpring (Spring spring) {
     springs.remove(spring);
   }
   public Vector2D getPosition() {
      return pos_t;
   }
   public String getDescription() {
      return "FixedHook_" + getId()+": (x,y)";
   }
   public String getState() {
      return getPosition()+"";
   }
}
